### Property

# Ide Context:project-id

#### Declaration

    property project-id: utf8 [ read, write ]

#### Description

The “project-id” property is the identifier to use when creating files and folders for this project. It has a mutated form of either the directory or some other discoverable trait of the project.

It has also been modified to remove spaces and other unsafe characters for file-systems.

This may change during runtime, but usually only once when the project has been initialize loaded.

Before any project has loaded, this is “empty” to allow flexibility for non-project use.

Type: | `gchar*`
Available since: | 3.32

Setter method | `ide_context_set_project_id()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no